# Login script for Trumpet WinSock
# for use with SIDIS/2
# 06/21/95, Axel Mueller (amueller@stargate.rz.fh-offenburg.de)

# Ask for phone number
query $number "Enter phone number"]
if ![load $username]
  if [username "Enter username"]
    save $username
  end
end
if ![load $password]
  if [password "Enter passwort"]
    save $password
  end
end

# Define prompts to wait for
$userprompt = "Login:"
$passprompt = "sword:"
$endprompt = "$%"

# Initialize modem
%attempts = 10
output "atz"\13
if ! [input 10 OK\n]
  display "Modem initialization error!"\n
  abort
end

# Dial
%n = 0
repeat
  if %n = %attempts
    display "Too many attempts"\n
    abort
  end
  output "atdt"$number\13
  %ok = [input 60 CONNECT]
  %n = %n + 1
until %ok
input 10 \n

# Wait for modem
wait 30 dcd

# Wait for username prompt
input 30 $userprompt
output $username\13

# Wait for password prompt
input 30 $passprompt
output $password\13

# Wait for finish of welcome screen
input 10 $endprompt

# wait 1 second for the server to initialize PPP handshake
wait 1