/************************************************************************/
/*                                                                      */
/*  REXX Control Script for Modem Handling and User Access Control      */
/*                                                                      */
/*        === Loader for external function DLLs ===                     */
/*                                                                      */
/* (C) 1995, 1996   Axel Mueller (amueller@stargate.rz.fh-offenburg.de) */
/*     Version 0.99   Last modified: 04/21/96                           */
/************************************************************************/

/* Load RxIOCtl-DLL for serial I/O */
call RxFuncAdd 'RxIOCtlLoadFuncs', 'RXIOCTL', 'RxIOCtlLoadFuncs'
call RxIOCtlLoadFuncs

/* Load DLL functions for user profiles */
call RxFuncAdd 'RxPrfLoadFuncs', 'RXPRF', 'RxPrfLoadFuncs'
call RxPrfLoadFuncs

/* Load RexxUtil functions */
call RxFuncAdd 'SysFileTree', 'RexxUtil', 'SysFileTree'
call RxFuncAdd 'SysFileDelete', 'RexxUtil', 'SysFileDelete'
call RxFuncAdd 'SysSleep', 'RexxUtil', 'SysSleep'

exit